# forkSyncBranch

Endpoint: POST /code/api/v1/repos/{repo_identifier}/fork-sync
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Request fields (application/json):

  - `branch` (string)

  - `branch_commit_sha` (string)
    Git object hash

  - `branch_upstream` (string)

## Response 200 fields (application/json):

  - `already_ancestor` (boolean)

  - `new_commit_sha` (string)
    Git object hash

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)

## Response 409 fields (application/json):

  - `conflict_files` (array,null)

  - `message` (string)


